VTK: vtkInformationObjectBaseVectorKey Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkInformationObjectBaseVectorKey Class Reference

Key for vtkObjectBase vector values. More...

`#include <vtkInformationObjectBaseVectorKey.h>`

Inheritance diagram for vtkInformationObjectBaseVectorKey:
[legend]
Collaboration diagram for vtkInformationObjectBaseVectorKey:
[legend]

## Public Types
typedef vtkInformationKey | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkInformationObjectBaseVectorKey * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | Clear (vtkInformation *info)
| Clear the vector. More...
void | Resize (vtkInformation *info, int size)
| Resize (extend) the vector to hold size objects. More...
int | Size (vtkInformation *info)
| Get the vector's length. More...
int | Length (vtkInformation *info)
void | Append (vtkInformation *info, vtkObjectBase *value)
| Put the value on the back of the vector, with ref counting. More...
void | Set (vtkInformation *info, vtkObjectBase *value, int i)
| Set element i of the vector to value. More...
void | SetRange (vtkInformation *info, vtkObjectBase **source, int from, int to, int n)
| Copy n values from the range in source defined by [from from+n-1] into the range in this vector defined by [to to+n-1]. More...
void | GetRange (vtkInformation *info, vtkObjectBase **dest, int from, int to, int n)
| Copy n values from the range in this vector defined by [from from+n-1] into the range in the destination vector defined by [to to+n-1]. More...
vtkObjectBase * | Get (vtkInformation *info, int idx)
| Get the vtkObjectBase at a specific location in the vector. More...
void | ShallowCopy (vtkInformation *source, vtkInformation *dest) override
| Copy the entry associated with this key from one information object to another. More...
void | Print (ostream &os, vtkInformation *info) override
| Print the key's value in an information object to a stream. More...
| vtkInformationObjectBaseVectorKey (const char *name, const char *location, const char *requiredClass=nullptr)
| The name of the static instance and the class in which it is defined(location) should be passed to the constructor. More...
| ~vtkInformationObjectBaseVectorKey () override
| The name of the static instance and the class in which it is defined(location) should be passed to the constructor. More...
void | Remove (vtkInformation *info, vtkObjectBase *val)
| Remove all instances of val from the list. More...
void | Remove (vtkInformation *info, int idx)
| Remove all instances of val from the list. More...
virtual void | Remove (vtkInformation *info)
| Remove this key from the given information object. More...
Public Member Functions inherited from vtkInformationKey
| vtkBaseTypeMacro (vtkInformationKey, vtkObjectBase)
void | Register (vtkObjectBase *) override
| Prevent normal vtkObject reference counting behavior. More...
void | UnRegister (vtkObjectBase *) override
| Prevent normal vtkObject reference counting behavior. More...
const char * | GetName ()
| Get the name of the key. More...
const char * | GetLocation ()
| Get the location of the key. More...
virtual void | DeepCopy (vtkInformation *from, vtkInformation *to)
| Duplicate (new instance created) the entry associated with this key from one information object to another (new instances of any contained vtkInformation and vtkInformationVector objects are created). More...
virtual int | Has (vtkInformation *info)
| Check whether this key appears in the given information object. More...
virtual void | Remove (vtkInformation *info)
| Remove this key from the given information object. More...
virtual void | Report (vtkInformation *info, vtkGarbageCollector *collector)
| Report a reference this key has in the given information object. More...
virtual bool | NeedToExecute (vtkInformation *vtkNotUsed(pipelineInfo), vtkInformation *vtkNotUsed(dobjInfo))
| This function is only relevant when the pertaining key is used in a VTK pipeline. More...
virtual void | StoreMetaData (vtkInformation *vtkNotUsed(request), vtkInformation *vtkNotUsed(pipelineInfo), vtkInformation *vtkNotUsed(dobjInfo))
| This function is only relevant when the pertaining key is used in a VTK pipeline. More...
virtual void | CopyDefaultInformation (vtkInformation *vtkNotUsed(request), vtkInformation *vtkNotUsed(fromInfo), vtkInformation *vtkNotUsed(toInfo))
| This function is only relevant when the pertaining key is used in a VTK pipeline. More...
| vtkInformationKey (const char *name, const char *location)
| Key instances are static data that need to be created and destroyed. More...
| ~vtkInformationKey () override
| Key instances are static data that need to be created and destroyed. More...
void | Print (vtkInformation *info)
| Print the key's value in an information object to a stream. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual std::string | GetObjectDescription () const
| The object description printed in messages and PrintSelf output. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkTypeBool | IsTypeOf (const char *type)
static vtkInformationObjectBaseVectorKey * | SafeDownCast (vtkObjectBase *o)
static vtkInformationObjectBaseVectorKey * | MakeKey (const char *name, const char *location, const char *requiredClass=nullptr)
| This method simply returns a new vtkInformationObjectBaseVectorKey, given a name, location and optionally a required class (a classname to restrict which class types can be set with this key). More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
Protected Member Functions inherited from vtkInformationKey
| vtkInformationKeySetStringMacro (Name)
| vtkInformationKeySetStringMacro (Location)
void | SetAsObjectBase (vtkInformation *info, vtkObjectBase *value)
const vtkObjectBase * | GetAsObjectBase (vtkInformation *info) const
vtkObjectBase * | GetAsObjectBase (vtkInformation *info)
void | ReportAsObjectBase (vtkInformation *info, vtkGarbageCollector *collector)
void | ConstructClass (const char *)
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | RegisterInternal (vtkObjectBase *, vtkTypeBool check)
virtual void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check)
virtual void | ReportReferences (vtkGarbageCollector *)
virtual void | ObjectFinalize ()
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
const char * | RequiredClass
Protected Attributes inherited from vtkInformationKey
char * | Name
char * | Location
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

Key for vtkObjectBase vector values.

vtkInformationObjectBaseVectorKey is used to represent keys for double vector values in vtkInformation.h. NOTE the interface in this key differs from that in other similar keys because of our internal use of smart pointers.

Definition at line 23 of file vtkInformationObjectBaseVectorKey.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkInformationKey vtkInformationObjectBaseVectorKey::Superclass

Definition at line 26 of file vtkInformationObjectBaseVectorKey.h.

## Constructor & Destructor Documentation

## ◆ vtkInformationObjectBaseVectorKey()

vtkInformationObjectBaseVectorKey::vtkInformationObjectBaseVectorKey | ( | const char * | name,
|  | const char * | location,
|  | const char * | requiredClass = `nullptr`
| ) |  |

The name of the static instance and the class in which it is defined(location) should be passed to the constructor.

Providing "requiredClass" name one can ensure that only objects of type "requiredClass" are stored in vectors associated with the instance of this key type created. These should be string literals as they are not copied.

## ◆ ~vtkInformationObjectBaseVectorKey()

vtkInformationObjectBaseVectorKey::~vtkInformationObjectBaseVectorKey | ( |  | ) |
| override

The name of the static instance and the class in which it is defined(location) should be passed to the constructor.

Providing "requiredClass" name one can ensure that only objects of type "requiredClass" are stored in vectors associated with the instance of this key type created. These should be string literals as they are not copied.

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkInformationObjectBaseVectorKey::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkInformationObjectBaseVectorKey::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkObjectBase.

## ◆ SafeDownCast()

static vtkInformationObjectBaseVectorKey* vtkInformationObjectBaseVectorKey::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkInformationObjectBaseVectorKey::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

## ◆ NewInstance()

vtkInformationObjectBaseVectorKey* vtkInformationObjectBaseVectorKey::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkInformationObjectBaseVectorKey::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkInformationKey.

## ◆ MakeKey()

static vtkInformationObjectBaseVectorKey* vtkInformationObjectBaseVectorKey::MakeKey | ( | const char * | name,
|  | const char * | location,
|  | const char * | requiredClass = `nullptr`
| ) |  |
| inlinestatic

This method simply returns a new vtkInformationObjectBaseVectorKey, given a name, location and optionally a required class (a classname to restrict which class types can be set with this key).

This method is provided for wrappers. Use the constructor directly from C++ instead.

Definition at line 49 of file vtkInformationObjectBaseVectorKey.h.

## ◆ Clear()

void vtkInformationObjectBaseVectorKey::Clear | ( | vtkInformation * | info | ) |

Clear the vector.

## ◆ Resize()

void vtkInformationObjectBaseVectorKey::Resize | ( | vtkInformation * | info,
|  | int | size
| ) |  |

Resize (extend) the vector to hold size objects.

Any new elements created will be null initialized.

## ◆ Size()

int vtkInformationObjectBaseVectorKey::Size | ( | vtkInformation * | info | ) |

Get the vector's length.

## ◆ Length()

int vtkInformationObjectBaseVectorKey::Length | ( | vtkInformation * | info | ) |
| inline

Definition at line 70 of file vtkInformationObjectBaseVectorKey.h.

## ◆ Append()

void vtkInformationObjectBaseVectorKey::Append | ( | vtkInformation * | info,
|  | vtkObjectBase * | value
| ) |  |

Put the value on the back of the vector, with ref counting.

## ◆ Set()

void vtkInformationObjectBaseVectorKey::Set | ( | vtkInformation * | info,
|  | vtkObjectBase * | value,
|  | int | i
| ) |  |

Set element i of the vector to value.

Resizes the vector if needed.

## ◆ Remove() [1/3]

void vtkInformationObjectBaseVectorKey::Remove | ( | vtkInformation * | info,
|  | vtkObjectBase * | val
| ) |  |

Remove all instances of val from the list.

If using the indexed overload, the object at the specified position is removed.

## ◆ Remove() [2/3]

void vtkInformationObjectBaseVectorKey::Remove | ( | vtkInformation * | info,
|  | int | idx
| ) |  |

Remove all instances of val from the list.

If using the indexed overload, the object at the specified position is removed.

## ◆ SetRange()

void vtkInformationObjectBaseVectorKey::SetRange | ( | vtkInformation * | info,
|  | vtkObjectBase ** | source,
|  | int | from,
|  | int | to,
|  | int | n
| ) |  |

Copy n values from the range in source defined by [from from+n-1] into the range in this vector defined by [to to+n-1].

Resizes the vector if needed.

## ◆ GetRange()

void vtkInformationObjectBaseVectorKey::GetRange | ( | vtkInformation * | info,
|  | vtkObjectBase ** | dest,
|  | int | from,
|  | int | to,
|  | int | n
| ) |  |

Copy n values from the range in this vector defined by [from from+n-1] into the range in the destination vector defined by [to to+n-1].

Up to you to make sure the destination is big enough.

## ◆ Get()

vtkObjectBase* vtkInformationObjectBaseVectorKey::Get | ( | vtkInformation * | info,
|  | int | idx
| ) |  |

Get the vtkObjectBase at a specific location in the vector.

## ◆ ShallowCopy()

void vtkInformationObjectBaseVectorKey::ShallowCopy | ( | vtkInformation * | source,
|  | vtkInformation * | dest
| ) |  |
| overridevirtual

Copy the entry associated with this key from one information object to another.

If there is no entry in the first information object for this key, the value is removed from the second.

Implements vtkInformationKey.

## ◆ Print()

void vtkInformationObjectBaseVectorKey::Print | ( | ostream & | os,
|  | vtkInformation * | info
| ) |  |
| overridevirtual

Print the key's value in an information object to a stream.

Reimplemented from vtkInformationKey.

## ◆ Remove() [3/3]

virtual void vtkInformationKey::Remove

Remove this key from the given information object.

## Member Data Documentation

## ◆ RequiredClass

const char* vtkInformationObjectBaseVectorKey::RequiredClass
| protected

Definition at line 132 of file vtkInformationObjectBaseVectorKey.h.

The documentation for this class was generated from the following file:

- Common/Core/vtkInformationObjectBaseVectorKey.h